GangliaContext (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.metrics.ganglia
Class GangliaContext

    java.lang.Object
      org.apache.hadoop.metrics.spi.AbstractMetricsContext
          org.apache.hadoop.metrics.ganglia.GangliaContext

All Implemented Interfaces:
  MetricsContext

Direct Known Subclasses:
  GangliaContext31

Deprecated. in favor of `org.apache.hadoop.metrics2` usage.

    @Deprecated
    @InterfaceAudience.Public
    @InterfaceStability.Evolving
    public class GangliaContext

extends AbstractMetricsContext

Context for sending metrics to Ganglia.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.metrics.spi.AbstractMetricsContext
`AbstractMetricsContext.MetricMap, AbstractMetricsContext.TagMap`

Field Summary
`protected byte[]` | `buffer` Deprecated.
`protected DatagramSocket` | `datagramSocket` Deprecated.
`protected List<? extends SocketAddress>` | `metricsServers` Deprecated.
`protected int` | `offset` Deprecated.

Fields inherited from interface org.apache.hadoop.metrics.MetricsContext
`DEFAULT_PERIOD`

Constructor Summary
`GangliaContext()` Deprecated. Creates a new instance of GangliaContext

Method Summary
`protected void` | `emitMetric(String name, String type, String value)` Deprecated.
`void` | `emitRecord(String contextName, String recordName, OutputRecord outRec)` Deprecated. Sends a record to the metrics system.
`protected int` | `getDmax(String metricName)` Deprecated.
`protected int` | `getSlope(String metricName)` Deprecated.
`protected int` | `getTmax(String metricName)` Deprecated.
`protected String` | `getUnits(String metricName)` Deprecated.
`void` | `init(String contextName, ContextFactory factory)` Deprecated. Initializes the context.
`protected void` | `xdr_int(int i)` Deprecated. Puts an integer into the buffer as 4 bytes, big-endian.
`protected void` | `xdr_string(String s)` Deprecated. Puts a string into the buffer by first writing the size of the string as an int, followed by the bytes of the string, padded if necessary to a multiple of 4.

Methods inherited from class org.apache.hadoop.metrics.spi.AbstractMetricsContext
`close, createRecord, flush, getAllRecords, getAttribute, getAttributeTable, getContextFactory, getContextName, getPeriod, isMonitoring, newRecord, parseAndSetPeriod, registerUpdater, remove, setPeriod, startMonitoring, stopMonitoring, unregisterUpdater, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buffer

    protected byte[] buffer

  Deprecated.

### offset

    protected int offset

  Deprecated.

### metricsServers

    protected List<? extends SocketAddress> metricsServers

  Deprecated.

### datagramSocket

    protected DatagramSocket datagramSocket

  Deprecated.

Constructor Detail

### GangliaContext

    @InterfaceAudience.Private
    public GangliaContext()

  Deprecated.
  Creates a new instance of GangliaContext

Method Detail

### init

    @InterfaceAudience.Private
    public void init(String contextName,
                                               ContextFactory factory)

  Deprecated.
  Description copied from class: `AbstractMetricsContext`
  Initializes the context.

  Specified by:
    `init` in interface `MetricsContext`
  Overrides:
    `init` in class `AbstractMetricsContext`
  Parameters:
    `contextName` - The given name for this context
    `factory` - The creator of this context

### emitRecord

    @InterfaceAudience.Private
    public void emitRecord(String contextName,
                                                     String recordName,
                                                     OutputRecord outRec)
                    throws IOException

  Deprecated.
  Description copied from class: `AbstractMetricsContext`
  Sends a record to the metrics system.

  Specified by:
    `emitRecord` in class `AbstractMetricsContext`
  Throws:
    `IOException`

### emitMetric

    protected void emitMetric(String name,
                              String type,
                              String value)
                       throws IOException

  Deprecated.
  Throws:
    `IOException`

### getUnits

    protected String getUnits(String metricName)

  Deprecated.

### getSlope

    protected int getSlope(String metricName)

  Deprecated.

### getTmax

    protected int getTmax(String metricName)

  Deprecated.

### getDmax

    protected int getDmax(String metricName)

  Deprecated.

### xdr_string

    protected void xdr_string(String s)

  Deprecated.
  Puts a string into the buffer by first writing the size of the string as an int, followed by the bytes of the string, padded if necessary to a multiple of 4.

### xdr_int

    protected void xdr_int(int i)

  Deprecated.
  Puts an integer into the buffer as 4 bytes, big-endian.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation